curl -X PATCH https://api.chatgrid.ai/v1/boards/a1b2c3d4-e5f6-7890-abcd-ef1234567890 \
-H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6" \
-H "Content-Type: application/json" \
-d '{"name": "Q1 Marketing Plan (final)", "viewport_zoom": 1.5}'
{
"object": "board",
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Q1 Marketing Plan (final)",
"created_at": "2026-03-15T10:30:00.000Z",
"updated_at": "2026-03-15T14:00:00.000Z",
"is_public": false,
"public_access_level": null,
"viewport_x": 0,
"viewport_y": 0,
"viewport_zoom": 1.5
}
}
Updates a board’s name or viewport settings.
curl -X PATCH https://api.chatgrid.ai/v1/boards/a1b2c3d4-e5f6-7890-abcd-ef1234567890 \
-H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6" \
-H "Content-Type: application/json" \
-d '{"name": "Q1 Marketing Plan (final)", "viewport_zoom": 1.5}'
{
"object": "board",
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Q1 Marketing Plan (final)",
"created_at": "2026-03-15T10:30:00.000Z",
"updated_at": "2026-03-15T14:00:00.000Z",
"is_public": false,
"public_access_level": null,
"viewport_x": 0,
"viewport_y": 0,
"viewport_zoom": 1.5
}
}
curl -X PATCH https://api.chatgrid.ai/v1/boards/a1b2c3d4-e5f6-7890-abcd-ef1234567890 \
-H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6" \
-H "Content-Type: application/json" \
-d '{"name": "Q1 Marketing Plan (final)", "viewport_zoom": 1.5}'
{
"object": "board",
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Q1 Marketing Plan (final)",
"created_at": "2026-03-15T10:30:00.000Z",
"updated_at": "2026-03-15T14:00:00.000Z",
"is_public": false,
"public_access_level": null,
"viewport_x": 0,
"viewport_y": 0,
"viewport_zoom": 1.5
}
}